New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2468 (Improve ice-ocean momentum coupling) – NEMO

Opened 3 years ago

Closed 2 years ago

#2468 closed Task (fixed)

Improve ice-ocean momentum coupling

Reported by: jchanut Owned by: systeam
Priority: low Milestone: Unscheduled
Component: MULTIPLE Version: trunk
Severity: minor Keywords:
Cc:

Description

  • With 1 m resolution at the ocean surface, matching log-law scaling leads to a 4-5 times increase of ice-ocean drag usually given at 5-10m depth. This often translates into a drastic decrease of the time step, ice-ocean interface being solved explicitly. We propose to implement an implicit formulation for ice-ocean drag. Momentum exchange won't be exact and the mismatch should be quantified but this may greatly improve the overall stability.
  • TKE and GLS schemes assume turbulent kinetic injection below the ice-ocean interface which refers to the energy fluxed by breaking surface waves. However, away from marginal ice zones, wave energy nearly vanish so that this assumption is not valid. We propose to revert to a standard log-law boundary condition below sea ice, a situation well observed in the literature.

Commit History (4)

ChangesetAuthorTimeChangeLog
12966jchanut2020-05-25T12:04:00+02:00

Switch to log-law bcs below ice in tke and gls - hard coded 3cm ice-ocean roughness: #2468

12964jchanut2020-05-25T08:46:52+02:00

Change place for declaration of ice-ocean drag, #2468

12953jchanut2020-05-19T15:59:10+02:00

Add ice-ocean implicit drag as namelist option ln_drgice_imp, #2468

12947jchanut2020-05-18T16:21:52+02:00

#2468

Change History (5)

comment:1 Changed 3 years ago by jchanut

In 12947:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:2 Changed 3 years ago by jchanut

In 12953:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 3 years ago by jchanut

In 12964:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 3 years ago by jchanut

In 12966:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 2 years ago by jchanut

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.